Subject: Re: bug#12309: Option `(bookmark-)version-control': Use :tag so doc string matches menu

From: Andreas Schwab <[email-masked]>
Date: Mon, 01 Oct 2012 11:41:50 +0200

Karl Fogel <[email-masked]> writes:

> I don't fully understand the whole customization system because I never
> use it myself (I just read doc strings and set variables directly in
> Elisp), so I don't quite get what `other' mean if used instead of
> `const', and I didn't fully understand the last paragraph of the
> original bug report.  I looked in the Info pages, but they didn't
> clarify much about this.

const only matches the specified value, other matches any value, but
uses the specified value when setting.  Thus setting the variable
manually to 'foo won't get a mismatch.  You can see the documentation of
each widget with widget-browse.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."